<?php
session_start();
include_once("conexao.php");

// Verifica se o usuário está autenticado
if (!isset($_SESSION['usuarioId']) || empty($_SESSION['usuarioId']) || 
    !isset($_SESSION['usuario']) || empty($_SESSION['usuario'])) {
    // Redireciona para a página de login se não estiver autenticado
    header('Location: index.html');
    exit();
}

// Define as variáveis do usuário autenticado
$login = $_SESSION['usuarioId'];
$nome = $_SESSION['usuario'];

// Configurações do banco de dados
$servername = "localhost";
$username = "kaltekgo_cftv";
$password = "cftv@colegioavila";
$dbname = "kaltekgo_avila_cftv";

// Conecta ao banco de dados
$conn = new mysqli($servername, $username, $password, $dbname);

// Verifica se a conexão falhou
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Insere os dados apenas se as variáveis de sessão não estiverem vazias
if (!empty($login) && !empty($nome)) {
    $sql = "INSERT INTO acessos (login, nome, data) VALUES ('$login', '$nome', NOW())";

    if ($conn->query($sql) !== TRUE) {
        echo "Error: " . $sql . "<br>" . $conn->error;
    }
}

// Fecha a conexão com o banco de dados
$conn->close();
?>
